
require.config({
	baseUrl: 'js',
	paths : {
		"jquery" : "jquery-2.1.4.min",
		"jquery.qrcode" : "jquery.qrcode.min",
		"layer" : "layer/layer"
//		"testfunction" : "lib/testfunction"
	},
	shim : {
		"layer" : {
			deps : ["jquery"]
		},
		"testfunction" : {
			deps : ["jquery","layer"]
		}
	}
});

require(['jquery'], function($){
	require(['jquery.qrcode','layer'], function(){
		
		// 二维码扫描
		$(document).on('click','#barcode_scan',function(){
			javaToJs.scan();
		});
		
		// 地理位置查询
		$(document).on('click', '#findLocation', function(){
			javaToJs.location();
			layer.load(1, {shade:[0.5, '#393D49'], shadeClose:false});
		});
		
		// 图片选择器
		$(document).on('click', '#imageSelector', function(){
			javaToJs.selector("image", true); //图片自动上传,需服务器开启上传服务
			layer.load(1, {shade:[0.5, '#393D49'], shadeClose:false});
			//javaToJs.selector("image", false); //图片不上传
		});
		
		// 文件选择器
		$(document).on('click', '#fileSelector', function(){
			javaToJs.selector("file", true); //文件自动上传,需服务器开启上传服务
			layer.load(1, {shade:[0.5, '#393D49'], shadeClose:false});
			//javaToJs.selector("file", false); //文件不自动上传
		});
	});
});

// 二维码回调 - 该方法名固定不可更改
function scaned(result) {
	layer.alert("扫描的二维码值为<label style='color:red;'> "+result+" </label>", {shift: 5});
}

// 地理信息回调 - 该方法名固定不可更改
function locationCallback(result) {
	layer.closeAll();
	layer.alert("地理信息<label style='color:red;'> "+result+" </label>", {shift: 5});
}

// 选择器信息回调 - 该方法名固定不可更改
function selectorCallback(result) {
	layer.closeAll();
	layer.alert("返回信息<label style='color:red;'> "+result+" </label>", {shift: 5});
}

